using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.RGV
{
    /// <summary>
    ///  RGV
    /// </summary>
    [DataContract]
    [SugarTable("FJ_RGV520")]
    public class WCS_RGV520 : IRGV520
    {
        [DataMember(Order = 0)]
        public int TaskNumber { get; set; }

        [DataMember(Order = 1)]
        public RGVCmdType CmdType { get; set; }

        [DataMember(Order = 2)]
        public short StartPosition { get; set; }

        [DataMember(Order = 3)]
        public short DestPosition { get; set; }

        [DataMember(Order = 4)]
        public short RES1 { get; set; }

        [DataMember(Order = 5)]
        public short RES2 { get; set; }

        [DataMember(Order = 6)]
        public short VoucherNo { get; set; }

        [DataMember(Order = 7)]
        [TimeDbSplitField(DateType.Day)]
        public new DateTime Frame { get; set; }

        [DataMember(Order = 8)]
        [SugarColumn(ColumnDataType = "symbol")]
        public new string Code { get; set; }
    }
}
